/********************************************************************************
 *  xrebind enables synthezing button events from keyboard events
 *  Copyright (C) 2005 Henrik Sandklef
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  ERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 ********************************************************************************
 */
  
#ifndef XREBIND_STRINGS_H
#define XREBIND_STRINGS_H
  

#include "xrebind.h"

extern char *XREBIND_GRAB_EXPR_START     ;
extern char *XREBIND_GRAB_EXPR_START_TAG ;
extern char *XREBIND_GRAB_EXPR_STOP_TAG  ;

extern char *XREBIND_ACTION_TAG          ;
extern char *XREBIND_ACTION_EXEC         ;
extern char *XREBIND_ACTION_MOTION       ;
extern char *XREBIND_ACTION_BUTTON       ;
extern char *XREBIND_ACTION_KEY          ;

extern char *XREBIND_KEY_TAG             ;
extern char *XREBIND_KEYCODE_TAG         ;
extern char *XREBIND_BUTTON_TAG          ;

extern char *XREBIND_MODIFIER_TAG        ;
extern char *XREBIND_AUTOREPEAT_TAG      ;
extern char *XREBIND_FAKERELEASE_TAG     ;
extern char *XREBIND_FAKERELEASEDELAY_TAG;
extern char *XREBIND_COMMENT_TAG         ;

extern char *XREBIND_SPEED_TAG           ;
extern char *XREBIND_FAKE_BUTTON         ;
extern char *XREBIND_FAKE_KEY            ;
extern char *XREBIND_FAKE_KEYCODE        ;
extern char *XREBIND_FAKE_MOTION         ;
extern char *XREBIND_EXEC_COMMAND        ;
extern char *XREBIND_EXEC_FORK           ;


extern char *XREBIND_MODIFIER_NONE         ;
extern char *XREBIND_MODIFIER_ANYMODIFIER  ;
extern char *XREBIND_MODIFIER_SHIFT_L      ;
extern char *XREBIND_MODIFIER_SHIFT_R      ;
extern char *XREBIND_MODIFIER_SHIFT        ;
extern char *XREBIND_MODIFIER_ALT_L        ;
extern char *XREBIND_MODIFIER_ALT_R        ;
extern char *XREBIND_MODIFIER_ALT          ;
extern char *XREBIND_MODIFIER_CONTROL_L    ;
extern char *XREBIND_MODIFIER_CONTROL_R    ;
extern char *XREBIND_MODIFIER_CONTROL      ;
extern char *XREBIND_MODIFIER_CAPS         ;
extern char *XREBIND_MODIFIER_SCROLL       ;
extern char *XREBIND_MODIFIER_MOD1MASK     ;
extern char *XREBIND_MODIFIER_MOD2MASK     ;
extern char *XREBIND_MODIFIER_MOD3MASK     ;
extern char *XREBIND_MODIFIER_MOD4MASK     ;
extern char *XREBIND_MODIFIER_MOD5MASK     ;
extern char *XREBIND_MODIFIER_SHIFT_MASK   ;
extern char *XREBIND_MODIFIER_LOCK_MASK    ;
extern char *XREBIND_MODIFIER_CONTROL_MASK ;

extern char *XREBIND_TRUE_TAG              ;
extern char *XREBIND_FALSE_TAG             ;

#endif /* XREBIND_STRINGS */
